<?php

declare(strict_types=1);

namespace UtilityModule\Handler;

use Psr\Container\ContainerInterface;
use Psr\Http\Server\RequestHandlerInterface;
use UtilityModule\Service\AuthService;

class AuthHandlerFactory
{
    public function __invoke(ContainerInterface $container) : RequestHandlerInterface
    {
        $authService = $container->get(AuthService::class);
        return new AuthHandler($authService);
    }
}
